package cn.iocoder.yudao.module.basic.api.vendorinfo;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.basic.api.vendorinfo.dto.VendorInfoRespDTO;
import cn.iocoder.yudao.module.basic.enums.ApiConstants;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Api(tags = "RPC 服务 - 供应商")
public interface VendorInfoApi {

    String PREFIX = ApiConstants.PREFIX + "/vendor-info";

    @GetMapping(PREFIX + "/getVendorInfoByVendorId")
    @ApiOperation("通过供应商 ID 查询供应商")
    @ApiImplicitParam(name = "id", value = "供应商ID", example = "1", required = true, dataTypeClass = Long.class)
    CommonResult<VendorInfoRespDTO> getVendorInfoByVendorId(@RequestParam("vendorId") String vendorId);

}
