package cn.iocoder.yudao.module.basic.api.vendorinfo.dto;

import cn.iocoder.yudao.framework.common.enums.CommonStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Set;

/**
 * VendorInfo 供应商 Response DTO
 *
 * @author 芋道源码
 */
@Data
public class VendorInfoRespDTO {

    /**
     * 编码
     */
    @ApiModelProperty(value = "主键id")
    private Long id;
    /**
     * 供应商名称
     */
    @ApiModelProperty(value = "供应商名称")
    private String vendorName;
    /**
     * 供应商ID
     */
    @ApiModelProperty(value = "供应商ID")
    private String vendorId;
    /**
     * 供应商类型 0企业 1个人
     */
    @ApiModelProperty(value = "供应商类型 0企业 1个人")
    private Integer vendorType;
    /**
     * 所属商户id
     */
    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remarks;
    /**
     * 统一信用代码
     */
    @ApiModelProperty(value = "统一信用代码")
    private String businessCode;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String contactPhone;
    /**
     * 联系人姓名
     */
    @ApiModelProperty(value = "联系人姓名")
    private String contactName;
    /**
     * 所属行政区,例如福建省/福州市/鼓楼区
     */
    @ApiModelProperty(value = "所属行政区,例如福建省/福州市/鼓楼区")
    private String area;
    /**
     * 个人类型 姓名
     */
    @ApiModelProperty(value = "个人类型 姓名")
    private String realName;
    /**
     * 个人类型 身份证
     */
    @ApiModelProperty(value = "个人类型 身份证")
    private String  idCard;

}
