package cn.iocoder.yudao.module.basic.api.vendorinfo;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.basic.api.vendorinfo.dto.VendorInfoRespDTO;
import cn.iocoder.yudao.module.basic.convert.vendorinfo.VendorInfoConvert;
import cn.iocoder.yudao.module.basic.service.vendorinfo.VendorInfoService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static cn.iocoder.yudao.module.system.enums.ApiConstants.VERSION;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
@Validated
public class VendorInfoApiImpl implements VendorInfoApi{

    @Resource
    private VendorInfoService vendorInfoService;

    @Override
    public CommonResult<VendorInfoRespDTO> getVendorInfoByVendorId(String vendorId) {
        return CommonResult.success(VendorInfoConvert.INSTANCE.convertToDTO(vendorInfoService.getVendorInfoByVendorId(vendorId)));
    }
}
