package cn.iocoder.yudao.module.basic.api.workersinfo;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.basic.api.workersinfo.dto.WorkersInfoRespDTO;
import cn.iocoder.yudao.module.basic.convert.workersinfo.WorkersInfoConvert;
import cn.iocoder.yudao.module.basic.service.workersinfo.WorkersInfoService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static cn.iocoder.yudao.module.system.enums.ApiConstants.VERSION;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
@Validated
public class WorkersinfoApiImpl implements WorkersinfoApi {

    @Resource
    private WorkersInfoService workersInfoService;

    @Override
    public CommonResult<WorkersInfoRespDTO> getWorkersInfo(Long id) {
        return CommonResult.success(WorkersInfoConvert.INSTANCE.convertToDTO(workersInfoService.getWorkersInfo(id)));
    }

    @Override
    public CommonResult<WorkersInfoRespDTO> getWorkersInfoWithOutTenantId(Long businessInfoId, String openid) {
        return CommonResult.success(WorkersInfoConvert.INSTANCE.convertToDTO(workersInfoService.getWorkersInfo(businessInfoId, openid)));
    }
}
