package cn.iocoder.yudao.module.basic.controller.admin.businessinfo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

/**
* 商户 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BusinessInfoBaseVO {

    @ApiModelProperty(value = "商户名称", required = true)
    @NotBlank(message = "商户名称不能为空")
    @Length(max = 64, message = "商户名称长度必须是1~64位之间")
    private String businessName;

    @ApiModelProperty(value = "企业名称", required = true)
    @NotBlank(message = "企业名称不能为空")
    @Length(max = 64, message = "企业名称长度必须是1~64位之间")
    private String companiesName;

    @ApiModelProperty(value = "备注")
    private String remarks;

}
