package cn.iocoder.yudao.module.basic.controller.admin.businessinfo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

@ApiModel("管理后台 - 商户创建 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BusinessInfoCreateReqVO extends BusinessInfoBaseVO {

    @ApiModelProperty(value = "商户code")
    private String businessId;

    @ApiModelProperty(value = "认证状态", example = "0")
    private byte verifyState;

    @ApiModelProperty(value = "法人姓名")
    @Length(max = 64, message = "法人姓名长度必须是0~64位之间")
    private String legalName;

    @ApiModelProperty(value = "法人身份证")
    private String legalIdCard;

    @ApiModelProperty(value = "所属行政区,例如福建省/福州市/鼓楼区")
    @NotBlank(message = "所属行政区不能为空")
    @Length(max = 12, message = "所属行政区长度必须是1~12位之间")
    private String area;

    @ApiModelProperty(value = "商户统一信用代码")
    @Length(max = 20, message = "统一信用代码长度必须是0~20位之间")
    private String businessCode;
}
