package cn.iocoder.yudao.module.basic.controller.admin.businessinfo.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 商户更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BusinessInfoUpdateReqVO extends BusinessInfoBaseVO {

    @ApiModelProperty(value = "编码", required = true)
    @NotNull(message = "编码不能为空")
    private Long id;

    @ApiModelProperty(value = "商户code", required = true)
    @NotNull(message = "商户code不能为空")
    private String businessId;

    @ApiModelProperty(value = "所属行政区,例如福建省/福州市/鼓楼区")
    private String area;

    @ApiModelProperty(value = "商户统一信用代码")
    private String businessCode;

    @ApiModelProperty(value = "法人姓名")
    private String legalName;

    @ApiModelProperty(value = "法人身份证")
    private String legalIdCard;

    @ApiModelProperty(value = "认证状态", example = "0")
    private Byte verifyState;

}
