package cn.iocoder.yudao.module.basic.controller.admin.goodscategory.vo;

import cn.hutool.core.io.unit.DataUnit;
import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;


@ApiModel(value = "管理后台 - 商品分类表。分类的编号为 C 开头，如：C100001 Excel 导出 Request VO", description = "参数和 GoodsCategoryPageReqVO 是一致的")
@Data
public class GoodsCategoryExportReqVO {

    @ApiModelProperty(value = "分类名称,默认值：'")
    private String name;

    @ApiModelProperty(value = "上一级节点ID，默认值：0")
    private Long pid;

    @ApiModelProperty(value = "上级分类id路径是由所有的父节点id组成，使用逗号进行分隔。例如:  1,2，默认值：'")
    private String parentIdPath;

    @ApiModelProperty(value = "1|一级分类; 2|二级分类; 3|三级分类,默认值：1")
    private Byte level;

    @ApiModelProperty(value = "序列，默认值：0")
    private Byte sequence;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

}
