package cn.iocoder.yudao.module.basic.controller.admin.goodsinfo.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel("管理后台 - 商品分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class GoodsInfoPageReqVO extends PageParam {

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "商品编码")
    private String goodsId;

    @ApiModelProperty(value = "商品类型")
    private String goodsType;

    @ApiModelProperty(value = "商品类型id")
    private Long goodsTypeId;

    @ApiModelProperty(value = "商品规格")
    private String goodsSpecs;

    @ApiModelProperty(value = "商品单位名称")
    private String goodsUnitName;

    @ApiModelProperty(value = "商品图片url，以;分割，最多6张")
    private String goodsImgUrl;

    @ApiModelProperty(value = "商品说明")
    private String goodsRemarks;

    @ApiModelProperty(value = "保质期天")
    private Integer shelfLife;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

}
