package cn.iocoder.yudao.module.basic.dal.dataobject.dealergoods;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 经销商经销产品 DO
 *
 * @author 芋道源码
 */
@TableName("basic_dealer_goods")
@KeySequence("basic_dealer_goods_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DealerGoodsDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 经销商编码
     */
    private String dealerId;
    /**
     * 经销商名称
     */
    private String dealerName;
    /**
     * 商品编码
     */
    private String goodsId;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 销售区域
     */
    private String saleArea;
    /**
     * 销售区域ID
     */
    private Long saleAreaId;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
