package cn.iocoder.yudao.module.basic.dal.dataobject.goodscategory;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 商品分类表。分类的编号为 C 开头，如：C100001 DO
 *
 * @author 芋道源码
 */
@TableName("basic_goods_category")
@KeySequence("basic_goods_category_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsCategoryDO extends BaseDO {

    /**
     * id 最多 6 位数值，且从 100001 开始分配。
     */
    @TableId
    private Long id;
    /**
     * 分类名称,默认值：'
     */
    private String name;
    /**
     * 上一级节点ID，默认值：0
     */
    private Long pid;
    /**
     * 上级分类id路径是由所有的父节点id组成，使用逗号进行分隔。例如:  1,2，默认值：'
     */
    private String parentIdPath;
    /**
     * 1|一级分类; 2|二级分类; 3|三级分类,默认值：1
     */
    private Byte level;
    /**
     * 序列，默认值：0
     */
    private Byte sequence;

}
