package cn.iocoder.yudao.module.basic.dal.dataobject.vendorinfo;

import cn.iocoder.yudao.module.basic.dal.dataobject.businessinfo.BusinessInfoDO;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 供应商 DO
 *
 * @author 芋道源码
 */
@TableName("basic_vendor_info")
@KeySequence("basic_vendor_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class VendorInfoDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 供应商名称
     */
    private String vendorName;
    /**
     * 供应商ID
     */
    private String vendorId;
    /**
     * 供应商类型 0企业 1个人
     */
    private Integer vendorType;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 统一信用代码
     */
    private String businessCode;
    /**
     * 联系电话
     */
    private String contactPhone;
    /**
     * 联系人姓名
     */
    private String contactName;
    /**
     * 所属行政区,例如福建省/福州市/鼓楼区
     */
    private String area;
    /**
     * 个人类型 姓名
     */
    private String realName;
    /**
     * 个人类型 身份证
     */
    private String  idCard;
}
