package cn.iocoder.yudao.module.chain.api.blockcertificate.dto;

import cn.iocoder.yudao.module.chain.api.operatedetail.dto.OperateDetailRespDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class BlockCertificateRespDTO {

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "批次上链类型： 0：采收批次   1:投入品采购批次  2:检验检疫批次")
    private Integer batchType;

    @ApiModelProperty(value = "上链操作专属ID")
    private String chainOperateId;

    @ApiModelProperty(value = "操作类型 0:批次上链  1 商品信息 2:环节上链  3：出入库上链 4：农事活动 5商品认证")
    private Integer operateType;

    @ApiModelProperty(value = "操作类型描述")
    private String operateName;

    @ApiModelProperty(value = "操作对象id：根据operate_type的值，存储不同关联表的id")
    private Long operateObjId;

    @ApiModelProperty(value = "批次id")
    private String batchId;

    @ApiModelProperty(value = "环节id")
    private String linkId;

    @ApiModelProperty(value = "环节名称")
    private String linkName;

    @ApiModelProperty(value = "所在链名称")
    private String chainName;

    @ApiModelProperty(value = "所在区块")
    private String chainBlock;

    @ApiModelProperty(value = "成块时间")
    private Date blockTime;

    @ApiModelProperty(value = "唯一区块编码")
    private String chainBlockIdentity;

    @ApiModelProperty(value = "上链状态 0未上链  1已上链")
    private Integer chainState;

    @ApiModelProperty(value = "链状态  0激活  1冻结")
    private Integer chainStatus;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "是否扫码展示")
    private Boolean scanShow;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "父区块证书的上链操作专属ID")
    private String parentOperateId;

    @ApiModelProperty(value = "上传者身份")
    private String uploadUser;

    @ApiModelProperty(value = "上传者身份证明")
    private String uploadVerify;

    @ApiModelProperty(value = "上传时间")
    private Date uploadTime;

    @ApiModelProperty(value = "上传地点坐标")
    private String uploadLocation;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "区块上链操作具体上链信息")
    private List<OperateDetailRespDTO> operateDetails;
}
