package cn.iocoder.yudao.module.chain.controller.admin.blockcertificate.vo;

import cn.iocoder.yudao.module.chain.controller.admin.operatedetail.vo.OperateDetailSaveReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 区块证书创建 Request VO")
@Data
public class BlockCertificateCreateReqVO {

    @ApiModelProperty(value = "上链操作专属ID")
    private String chainOperateId;

    @ApiModelProperty(value = "操作类型 0:批次上链  1:环节上链  2：出入库上链", required = true)
    @NotNull(message = "操作类型 0:批次上链  1:环节上链  2：出入库上链不能为空")
    private Integer operateType;

    @ApiModelProperty(value = "操作类型描述")
    private String operateName;

    @ApiModelProperty(value = "操作对象id：根据operate_type的值，存储不同关联表的id")
    private Long operateObjId;

    @ApiModelProperty(value = "批次id")
    private String batchId;

    @ApiModelProperty(value = "批次上链类型")
    private Integer batchType;

    @ApiModelProperty(value = "环节id")
    private String linkId;

    @ApiModelProperty(value = "环节名称")
    private String linkName;

    @ApiModelProperty(value = "所在链名称")
    private String chainName;

    @ApiModelProperty(value = "所在区块")
    private String chainBlock;

    @ApiModelProperty(value = "成块时间")
    private Date blockTime;

    @ApiModelProperty(value = "唯一区块编码")
    private String chainBlockIdentity;

    @ApiModelProperty(value = "上链状态 0未上链  1已上链", required = true)
    @NotNull(message = "上链状态 0未上链  1已上链不能为空")
    private Integer chainState;

    @ApiModelProperty(value = "链状态  0激活  1冻结")
    private Integer chainStatus;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "是否扫码展示")
    private Boolean scanShow;

    @ApiModelProperty(value = "语言类型ID")
    private Long languageTypeId;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "父区块证书的上链操作专属ID")
    private String parentOperateId;

    @ApiModelProperty(value = "上传者身份")
    private String uploadUser;

    @ApiModelProperty(value = "上传者身份证明")
    private String uploadVerify;

    @ApiModelProperty(value = "上传时间")
    private Date uploadTime;

    @ApiModelProperty(value = "上传地点坐标")
    private String uploadLocation;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "区块上链操作具体上链信息集合")
    @NotEmpty(message = "区块上链操作具体上链信息不能为空")
    private List<OperateDetailSaveReqVO> details;
}
