package cn.iocoder.yudao.module.configure.controller.admin.inspectionitem.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

@ApiModel("管理后台 - 检测报告模板检测项目保存 Request VO")
@Data
public class InspectionItemSaveReqVO {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "检测项目", required = true)
    @NotBlank(message = "检测项目不能为空")
    @Length(max = 64, message = "检测报告模板名称长度必须是1~64位之间")
    private String inspectionItem;

    @ApiModelProperty(value = "检测项目单位", required = true)
    @NotBlank(message = "检测项目单位不能为空")
    @Length(max = 64, message = "检测项目单位长度必须是1~64位之间")
    private String inspectionUnit;

    @ApiModelProperty(value = "检测项目技术要求", required = true)
    @NotBlank(message = "检测项目技术要求不能为空")
    @Length(max = 255, message = "检测项目技术要求长度必须是1~255位之间")
    private String inspectionRequire;

}
