package cn.iocoder.yudao.module.configure.controller.admin.inspectiontemplate.vo;

import cn.iocoder.yudao.module.configure.controller.admin.inspectionitem.vo.InspectionItemSaveReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.hibernate.validator.constraints.Length;

import javax.validation.Valid;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 检测报告模板创建 Request VO")
@Data
public class InspectionTemplateCreateReqVO {

    @ApiModelProperty(value = "检测报告模板名称", required = true)
    @NotBlank(message = "检测报告模板名称不能为空")
    @Length(max = 64, message = "检测报告模板名称长度必须是1~64位之间")
    private String templateName;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "检测项目")
    @NotEmpty(message = "检测项目不能为空")
    @Valid
    private List<InspectionItemSaveReqVO> inspectionItems;

}
