package cn.iocoder.yudao.module.configure.controller.admin.materialmanagement.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.*;

/**
* 素材管理 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class MaterialManagementBaseVO {

    @ApiModelProperty(value = "分组id", required = true)
    @NotNull(message = "分组id不能为空")
    private Long groupId;

    @ApiModelProperty(value = "素材名称", required = true)
    @NotNull(message = "素材名称不能为空")
    @Length(max = 64, message = "素材名称不能超过64个字符")
    private String materialName;

    @ApiModelProperty(value = "素材地址", required = true)
    @NotNull(message = "素材地址不能为空")
    private String materialUrl;

}
