package cn.iocoder.yudao.module.configure.controller.admin.tracetemplate.vo;

import cn.iocoder.yudao.module.configure.controller.admin.tracelink.vo.TraceLinkSaveReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 溯源模板创建 Request VO")
@Data
public class TraceTemplateCopyReqVO {

    @ApiModelProperty(value = "模板名称")
    private String templateName;

    @ApiModelProperty(value = "商品编码", required = true)
    @NotNull(message = "商品编码不能为空")
    private String goodsId;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "环节信息列表", required = true)
    @NotEmpty(message = "环节信息列表不能为空")
    @Valid
    private List<TraceLinkSaveReqVO> links;

}
