package cn.iocoder.yudao.module.configure.controller.admin.unitemplate.vo;

import cn.iocoder.yudao.module.configure.controller.admin.unitemplateitem.vo.UniTemplateItemBaseVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.hibernate.validator.constraints.Length;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 小程序模板创建 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UniTemplateCreateCustomizeReqVO extends UniTemplateCreateReqVO {

    @ApiModelProperty(value = "是否显示商品详情", required = true)
    @NotNull(message = "是否显示商品详情不能为空")
    private Boolean showGoodsDetail;

    @ApiModelProperty(value = "商品详情图标")
    @Length(max = 256)
    private String goodsDetailIconUrl;

    @ApiModelProperty(value = "是否显示ai", required = true)
    @NotNull(message = "是否显示ai不能为空")
    private Boolean showAi;

    @ApiModelProperty(value = "ai图标")
    @Length(max = 256)
    private String aiIconUrl;

    @ApiModelProperty(value = "是否显示商城", required = true)
    @NotNull(message = "是否显示商城不能为空")
    private Boolean showShop;

    @ApiModelProperty(value = "商城图标")
    @Length(max = 256)
    private String shopIconUrl;

    @ApiModelProperty(value = "环节模板列表")
    @Valid
    private List<UniTemplateItemBaseVO> templateItemList;

}
