package cn.iocoder.yudao.module.configure.dal.dataobject.tracelink;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 溯源模板-环节 DO
 *
 * @author 芋道源码
 */
@TableName("configure_trace_link")
@KeySequence("configure_trace_link_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TraceLinkDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 模板ID
     */
    private String traceTemplateId;
    /**
     * 模板名称
     */
    private String traceTemplateName;
    /**
     * 环节id
     */
    private String linkId;
    /**
     * 环节名称
     */
    private String linkName;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
