package cn.iocoder.yudao.module.configure.dal.dataobject.unitemplate;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

/**
 * 小程序模板 DO
 *
 * @author 芋道源码
 */
@TableName("configure_uni_template")
@KeySequence("configure_uni_template_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UniTemplateDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 模板id
     */
    private String templateId;
    /**
     * 模板名称
     */
    private String templateName;
    /**
     * 模板类型: 1)标准模板; 2)定制模板
     */
    private Integer templateType;
    /**
     * 背景图片
     */
    private String bgUrl;
    /**
     * 背景图宽度
     */
    private BigDecimal bgWidth;
    /**
     * 背景图高度
     */
    private BigDecimal bgHeight;
    /**
     * 字体颜色 标准模板时有效
     */
    private String fontColor;
    /**
     * 是否为默认模板
     */
    private Boolean defaultTemplate;
    /**
     * 是否显示扫码弹窗
     */
    private Boolean showPop;
    /**
     * 是否显示扫码记录
     */
    private Boolean showScanRecord;
    /**
     * 扫码记录图标
     */
    private String scanRecordIconUrl;
    /**
     * 是否显示商品详情
     */
    private Boolean showGoodsDetail;
    /**
     * 商品详情图标
     */
    private String goodsDetailIconUrl;
    /**
     * 是否显示ai
     */
    private Boolean showAi;
    /**
     * ai图标
     */
    private String aiIconUrl;
    /**
     * 是否显示商城
     */
    private Boolean showShop;
    /**
     * 商城图标
     */
    private String shopIconUrl;
    /**
     * 显示切换语言
     */
    private Boolean showChangeLanguage;
    /**
     * 显示切换语言图标
     */
    private String changeLanguageIconUrl;

}
