package cn.iocoder.yudao.module.configure.service.unitemplate;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.configure.controller.admin.unitemplate.vo.*;
import cn.iocoder.yudao.module.configure.dal.dataobject.unitemplate.UniTemplateDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 小程序模板 Service 接口
 *
 * @author 芋道源码
 */
public interface UniTemplateService {

    /**
     * 创建小程序模板
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    <T extends UniTemplateCreateReqVO> Long createUniTemplate(@Valid T createReqVO);

    /**
     * 更新小程序模板
     *
     * @param updateReqVO 更新信息
     */
    <T extends UniTemplateUpdateReqVO> void updateUniTemplate(@Valid T updateReqVO);

    /**
     * 删除小程序模板
     *
     * @param id 编号
     */
    void deleteUniTemplate(Long id);

    /**
     * 获得小程序模板
     *
     * @param id 编号
     * @return 小程序模板
     */
    UniTemplateRespVO getUniTemplate(Long id);

    /**
     * 获得小程序模板分页
     *
     * @param pageReqVO 分页查询
     * @return 小程序模板分页
     */
    PageResult<UniTemplateRespVO> getUniTemplatePage(UniTemplatePageReqVO pageReqVO);

    UniTemplateDO getDefaultUniTemplate();

    List<UniTemplateOptionVO> getOptions();

}
