package cn.iocoder.yudao.module.identity.api.generaterecord;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.identity.api.generaterecord.dto.GenerateRecordDTO;
import cn.iocoder.yudao.module.identity.enums.ApiConstants;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = ApiConstants.NAME)
@Api(tags = "管理后台 - 生成记录")
public interface GenerateRecordApi {

    String PREFIX = ApiConstants.CONST + "/generate-record";
    @GetMapping( PREFIX + "/getByBatchId")
    @ApiOperation("根据采收批次查询生成记录")
    CommonResult<GenerateRecordDTO> getByBatchId(@RequestParam("batchId") String batchId);
}
