package cn.iocoder.yudao.module.identity.api.scanrecord;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.identity.api.scanrecord.dto.ScanRecordRespDTO;
import cn.iocoder.yudao.module.identity.enums.ApiConstants;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = ApiConstants.NAME)
@Api(tags = "管理后台 - 扫码记录")
public interface ScanRecordApi {

    String PREFIX = ApiConstants.CONST + "/scan-record";
    @GetMapping( PREFIX + "/getFirstScanInfoByUrl")
    @ApiOperation("根据identityUrl 获取首次的扫码时间与首次扫码地点")
    CommonResult<ScanRecordRespDTO> getFirstScanInfoByUrl(@RequestParam("identityUrl") String identityUrl);
}
