package cn.iocoder.yudao.module.identity.api.generaterecord;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.identity.api.generaterecord.dto.GenerateRecordDTO;
import cn.iocoder.yudao.module.identity.dal.mysql.generaterecord.GenerateRecordMapper;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = ApiConstants.VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
@Validated
public class GenerateRecordApiImpl implements GenerateRecordApi {

    @Resource
    private GenerateRecordMapper generateRecordMapper;

    @Override
    public CommonResult<GenerateRecordDTO> getByBatchId(String batchId) {
        return CommonResult.success(generateRecordMapper.getGenerateRecordByBatchId(batchId));
    }

}
