package cn.iocoder.yudao.module.identity.api.scanrecord;

import cn.hutool.core.bean.BeanUtil;
import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.identity.api.scanrecord.dto.ScanRecordRespDTO;
import cn.iocoder.yudao.module.identity.dal.dataobject.scanrecord.ScanRecordDO;
import cn.iocoder.yudao.module.identity.service.scanrecord.ScanRecordService;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = ApiConstants.VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
@Validated
public class ScanRecordApiImpl implements ScanRecordApi {

    @Resource
    private ScanRecordService scanRecordService;
    @Override
    public CommonResult<ScanRecordRespDTO> getFirstScanInfoByUrl(String identityUrl) {
        ScanRecordDO firstScanInfoByUrl = scanRecordService.getFirstScanInfoByUrl(identityUrl);
        ScanRecordRespDTO scanRecordRespDTO = new ScanRecordRespDTO();
        BeanUtil.copyProperties(firstScanInfoByUrl,scanRecordRespDTO);
        return CommonResult.success(scanRecordRespDTO);
    }
}
