package cn.iocoder.yudao.module.identity.controller.admin.generaterecord.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;

@ApiModel(value = "管理后台 - 标识码生成记录 Excel 导出 Request VO", description = "参数和 GenerateRecordPageReqVO 是一致的")
@Data
public class GenerateRecordExportReqVO {

    @ApiModelProperty(value = "记录编码")
    private String generateRecordId;

    @ApiModelProperty(value = "字符长度")
    private Integer charLength;

    @ApiModelProperty(value = "字符类型 0纯数字  1纯字母  2混合类型")
    private Integer charType;

    @ApiModelProperty(value = "数量")
    private Integer codeNum;

    @ApiModelProperty(value = "操作者")
    private String operateUser;

    @ApiModelProperty(value = "操作者id")
    private Long operateUserId;

    @ApiModelProperty(value = "文件路径")
    private String fileUrl;

    @ApiModelProperty(value = "状态 0：生成中  1：已生成文字码，未生成图片码  2：文字及图片码均生成")
    private Integer state;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT")
    @ApiModelProperty(value = "创建时间")
    private Date[] createTime;

}
