package cn.iocoder.yudao.module.identity.controller.admin.scanrecord.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 创建初次扫码记录 Request VO")
@Data
@ToString(callSuper = true)
public class CreateFirstScanRecordReqVO {

    @ApiModelProperty(value = "批次ID", required = true)
    @NotNull(message = "批次ID不能为空")
    private List<String> batchIdList;

    @ApiModelProperty(value = "扫码时间", required = true)
    @NotNull(message = "扫码时间不能为空")
    private Date scanTime;

    @ApiModelProperty(value = "手机信息", required = true)
    @NotBlank(message = "手机信息不能为空")
    private String mobileSystemInfo;

    @ApiModelProperty(value = "扫码IP", required = true)
    @NotBlank(message = "扫码IP不能为空")
    private String scanIp;

    @ApiModelProperty(value = "扫码区域", required = true)
    @NotBlank(message = "扫码区域不能为空")
    private String scanArea;

    @ApiModelProperty(value = "扫码地址", required = true)
    @NotBlank(message = "扫码地址不能为空")
    private String scanLocation;

}
