package cn.iocoder.yudao.module.identity.controller.admin.scanrecord.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel(value = "管理后台 - 扫码记录 Excel 导出 Request VO", description = "参数和 ScanRecordPageReqVO 是一致的")
@Data
public class ScanRecordExportReqVO {

    @ApiModelProperty(value = "生码记录id")
    private String generateRecordId;

    @ApiModelProperty(value = "二维码url ")
    private String identityUrl;

    @ApiModelProperty(value = "相关批次ID")
    private String batchId;

    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "扫码IP")
    private String scanIp;

    @ApiModelProperty(value = "类型： 0：采收批次")
    private Integer batchType;

    @ApiModelProperty(value = "扫码地区")
    private String scanArea;

    @ApiModelProperty(value = "扫码时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT")
    private Date[] scanTime;

    @ApiModelProperty(value = "扫码地点")
    private String scanLocation;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

}
