package cn.iocoder.yudao.module.identity.dal.dataobject.diversionrecord;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 疑似窜货记录 DO
 *
 * @author 芋道源码
 */
@TableName("identity_diversion_record")
@KeySequence("identity_diversion_record_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DiversionRecordDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 经销商编码
     */
    private String dealerId;
    /**
     * 经销商名称
     */
    private String dealerName;
    /**
     * 批次id
     */
    private String batchId;
    /**
     * 商品id
     */
    private String goodsId;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 扫码地点
     */
    private String scanLocation;
    /**
     * 扫码时间
     */
    private Date scanTime;
    /**
     * 是否窜货 0：疑似 1：是  2：不是
     */
    private Integer diversionState;
    /**
     * 窜货等级
     */
    private Integer diversionLevel;
    /**
     * 状态 0：未处理  1：已处理
     */
    private Integer status;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

    /**
     * 租户ID
     */
    private Long tenantId;

    /**
     * 窜货等级文本
     */
    @TableField(exist = false)
    private String diversionLevelText;

    /**
     * 疑似窜货文本
     */
    @TableField(exist = false)
    private String diversionStateText;

    /**
     * 状态文本
     */
    @TableField(exist = false)
    private String statusText;

}
