package cn.iocoder.yudao.module.identity.dal.dataobject.scanrecord;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 扫码记录 DO
 *
 * @author 芋道源码
 */
@TableName("identity_scan_record")
@KeySequence("identity_scan_record_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScanRecordDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 生码记录id
     */
    private String generateRecordId;
    /**
     * 二维码url 
     */
    private String identityUrl;
    /**
     * 相关批次ID
     */
    private String batchId;
    /**
     * 商品id
     */
    private String goodsId;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 扫码IP
     */
    private String scanIp;
    /**
     * 类型： 0：采收批次
     */
    private Byte batchType;
    /**
     * 扫码地区
     */
    private String scanArea;
    /**
     * 扫码时间
     */
    private Date scanTime;
    /**
     * 扫码地点
     */
    private String scanLocation;
    /**
     * 标签断开记录
     */
    private String brokenResult;
    /**
     * 手机系统信息
     */
    private String mobileSystemInfo;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

    private Long tenantId;

}
