package cn.iocoder.yudao.module.product.controller.admin.envtype.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.Max;
import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 环境类型更新 Request VO")
@Data
public class EnvTypeUpdateReqVO {

    @ApiModelProperty(value = "ID", required = true)
    @NotNull(message = "ID不能为空")
    private Long id;

    @ApiModelProperty(value = "环境类型名称")
    private String envTypeName;

    @ApiModelProperty(value = "环境类型字段", required = true)
    @NotNull(message = "环境类型字段不能为空")
    private String envFieldName;

    @ApiModelProperty(value = "单位", required = true)
    @NotNull(message = "单位")
    @Length(max = 20, message = "单位最长不能超过20")
    private String unit;

    @ApiModelProperty(value = "备注")
    private String remarks;

}
