package cn.iocoder.yudao.module.product.controller.admin.harvestbatch.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.hibernate.validator.constraints.Length;

import javax.validation.Valid;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import java.util.ArrayList;
import java.util.List;

@ApiModel("管理后台 - 区块证书保存（创建/更新） Request VO")
@Data
public class FarmingPlantSaveReqVO {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "操作对象id：根据operate_type的值，存储不同关联表的id")
    private Long operateObjId;

    @ApiModelProperty(value = "是否扫码展示")
    private Boolean scanShow;

    @ApiModelProperty(value = "环节名称")
    @Length(max = 255)
    private String linkName;

    @ApiModelProperty(value = "农事计划具体信息")
    @NotEmpty(message = "农事计划具体信息不能为空")
    @Valid
    private List<OperateDetailSaveReqVO> operateDetails;

    @ApiModelProperty(value = "农事作业集合")
    @Valid
    private List<BlockCertificateSaveReqVO> farmingJobs;

}
