package cn.iocoder.yudao.module.product.controller.admin.harvestbatch.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 区块上链操作具体上链信息保存（创建/更新） Request VO")
@Data
public class OperateDetailSaveReqVO {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "内容标题")
    @Length(max = 255)
    private String title;

    @ApiModelProperty(value = "内容类型，详见字典")
    @NotNull(message = "内容类型不能为空")
    private Integer type;

    @ApiModelProperty(value = "详细内容，如图片视频url地址、文本、文件链接等")
    @Length(max = 1024)
    private String content;

    @ApiModelProperty(value = "链接地址")
    @Length(max = 255)
    private String linkText;

    @ApiModelProperty(value = "是否扫码展示")
    private Boolean scanShow;

    @ApiModelProperty(value = "排序")
    @Min(value = 0)
    private Integer sort;

}
