package cn.iocoder.yudao.module.product.controller.admin.harvestinfo.vo;

import cn.iocoder.yudao.module.product.controller.admin.harvestbatch.vo.HarvestBatchSaveReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 采收入库创建 Request VO")
@Data
public class HarvestInfoCreateReqVO {

    @ApiModelProperty(value = "入库单号", required = true)
    @NotNull(message = "入库单号不能为空")
    private String harverstId;

    @ApiModelProperty(value = "入库时间", required = true)
    @NotNull(message = "入库时间不能为空")
    private Date harverstTime;

    @ApiModelProperty(value = "所属商户ID", required = true)
    @NotNull(message = "所属商户ID不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "采收批次", required = true)
    @NotEmpty(message = "采收批次列表不能为空")
    @Valid
    List<HarvestBatchSaveReqVO> harvestBatchs;
}
