package cn.iocoder.yudao.module.product.controller.admin.inspection.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel(value = "管理后台 - 检验检疫 Excel 导出 Request VO", description = "参数和 InspectionPageReqVO 是一致的")
@Data
public class InspectionExportReqVO {

    @ApiModelProperty(value = "检验批次id")
    private String inspectionId;

    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "入库批次id")
    private String harvestBatchId;

    @ApiModelProperty(value = "入库时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] harvestTime;

    @ApiModelProperty(value = "执行标准")
    private String inspectionStandard;

    @ApiModelProperty(value = "检验结果 0合格 1不合格")
    private Integer inspectionResult;

    @ApiModelProperty(value = "自检检验项目")
    private String inspectionOwnItem;

    @ApiModelProperty(value = "检验人")
    private String inspectionUser;

    @ApiModelProperty(value = "委托检验项目")
    private String inspectionEntrustItem;

    @ApiModelProperty(value = "检测机构")
    private String inspectionOrganization;

    @ApiModelProperty(value = "检验日期")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] inspectionDate;

    @ApiModelProperty(value = "等级")
    private String inspectionLevel;

    @ApiModelProperty(value = "签发日期")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] issuanceDate;

    @ApiModelProperty(value = "上链状态 0：未上链  1：激活状态  2：冻结状态")
    private Integer blockState;

    @ApiModelProperty(value = "批次上链区块id")
    private String blockChainId;

    @ApiModelProperty(value = "批次上链区块唯一识别码")
    private String blockChainBlockIdentity;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

}
