package cn.iocoder.yudao.module.product.dal.dataobject.envdata;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 环境数据 DO
 *
 * @author 芋道源码
 */
@TableName("product_env_data")
@KeySequence("product_env_data_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EnvDataDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 环境类型
     */
    private Long envTypeId;
    /**
     * 环境数据名称
     */
    private String envName;
    /**
     * 数据值
     */
    private String value;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;
    /**
     * 租户id
     */
    private Long tenantId;

}
