package cn.iocoder.yudao.module.product.dal.dataobject.envtype;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 环境类型 DO
 *
 * @author 芋道源码
 */
@TableName("product_env_type")
@KeySequence("product_env_type_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EnvTypeDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 环境类型名称
     */
    private String envTypeName;
    /**
     * 环境类型字段，接收emqx推送数据所监听的字段
     */
    private String envFieldName;
    /**
     * 单位
     */
    private String unit;
    /**
     * 备注
     */
    private String remarks;

}
