package cn.iocoder.yudao.module.product.dal.dataobject.harvestinfo;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 采收入库 DO
 *
 * @author 芋道源码
 */
@TableName("product_harvest_info")
@KeySequence("product_harvest_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HarvestInfoDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 入库单号
     */
    private String harverstId;
    /**
     * 入库时间
     */
    private Date harverstTime;
    /**
     * 入库单上链区块唯一识别码
     */
    private String blockChainBlockIdentity;
    /**
     * 上链状态 0：未上链  1：激活状态  2：冻结状态
     */
    private Integer blockState;
    /**
     * 入库单上链区块id
     */
    private String blockChainId;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
