package cn.iocoder.yudao.module.product.dal.dataobject.slavedevice;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 从(子)设备信息 DO
 *
 * @author 芋道源码
 */
@TableName("product_slave_device")
@KeySequence("product_slave_device_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SlaveDeviceDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 设备信息ID
     */
    private Long deviceId;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 传感器对应的环境类型，关联product_env_type表的ID
     */
    private Long envType;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
