package cn.iocoder.yudao.module.product.service.slavedevice;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.product.controller.admin.slavedevice.vo.SlaveDevicePageReqVO;
import cn.iocoder.yudao.module.product.dal.dataobject.slavedevice.SlaveDeviceDO;

/**
 * 从(子)设备信息 Service 接口
 *
 * @author 芋道源码
 */
public interface SlaveDeviceService {

    /**
     * 删除从(子)设备信息
     *
     * @param id 编号
     */
    void deleteSlaveDevice(Long id);

    /**
     * 获得从(子)设备信息
     *
     * @param id 编号
     * @return 从(子)设备信息
     */
    SlaveDeviceDO getSlaveDevice(Long id);

    /**
     * 获得从(子)设备信息分页
     *
     * @param pageReqVO 分页查询
     * @return 从(子)设备信息分页
     */
    PageResult<SlaveDeviceDO> getSlaveDevicePage(SlaveDevicePageReqVO pageReqVO);

}
