package cn.iocoder.yudao.module.system.api.languagetype;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.api.languagetype.dto.LanguageTypeRespDTO;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Api(tags = "RPC 服务 - 语言类型")
public interface LanguageTypeApi {

    String PREFIX = ApiConstants.PREFIX + "/language-type";

    @GetMapping(PREFIX + "/getAllLanguageType")
    @ApiOperation("获取所有的语言类型")
    CommonResult<List<LanguageTypeRespDTO>> getAllLanguageType();

}
