package cn.iocoder.yudao.module.system.enums;

/**
 * System 字典类型的枚举类
 *
 * @author 芋道源码
 */
public interface DictTypeConstants {

    String USER_TYPE = "user_type"; // 用户类型
    String COMMON_STATUS = "common_status"; // 系统状态

    // ========== SYSTEM 模块 ==========

    String USER_SEX = "system_user_sex"; // 用户性别

    String OPERATE_TYPE = "system_operate_type"; // 操作类型

    String LOGIN_TYPE = "system_login_type"; // 登录日志的类型
    String LOGIN_RESULT = "system_login_result"; // 登录结果

    String ERROR_CODE_TYPE = "system_error_code_type"; // 错误码的类型枚举

    String SMS_CHANNEL_CODE = "system_sms_channel_code"; // 短信渠道编码
    String SMS_TEMPLATE_TYPE = "system_sms_template_type"; // 短信模板类型
    String SMS_SEND_STATUS = "system_sms_send_status"; // 短信发送状态
    String SMS_RECEIVE_STATUS = "system_sms_receive_status"; // 短信接收状态

    // ==================  chain 模块 ======================
    String OPERATE_DETAIL_TYPE = "operate_detail_type"; // 区块上链操作具体上链信息的类型，对应表chain_operate_detail的type字段
    String BLOCK_CERTIFICATE_OPERATE_TYPE = "chain_block_certificate_operate_type"; // 区块证书操作类型，对应chain_block_certificate表的operate_type字段
    String BLOCK_CERTIFICATE_BATCH_TYPE = "chain_block_certificate_batch_type"; // 区块证书批次上链类型，对应chain_block_certificate表的batch_type字段

    // ==================  configure 模块 ======================
    String TRACE_LINK_ITEM_TYPE = "trace_link_item_type"; // 溯源模板环节item 类型
}
