package cn.iocoder.yudao.module.system.dal.dataobject.languagetype;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 语言类型 DO
 *
 * @author 芋道源码
 */
@TableName("system_language_type")
@KeySequence("system_language_type_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LanguageTypeDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 语言名称
     */
    private String name;
    /**
     * 显示名称
     */
    private String showName;
    /**
     * 配置名称
     */
    private String configName;
    /**
     * 图片地址
     */
    private String picPath;

}
